ATA_SCSIOP_INQ_83(9)

NAME
ata_scsiop_inq_83 - Simulate INQUIRY VPD page 83, device identity

SYNOPSIS

unsigned int ata_scsiop_inq_83(struct ata_scsi_args * args, u8 * rbuf);

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

rbuf
    Response buffer, to which simulated SCSI cmd output is sent.

YIELDS TWO LOGICAL UNIT DEVICE IDENTIFICATION DESIGNATORS

- vendor specific ASCII containing the ATA serial number - SAT defined “t10 vendor id based” containing ASCII vendor name (“ATA ”), model and serial numbers.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT